## org.openorb.PI
Interface FeatureInitializer

All Known Implementing Classes:
  BOAInitializer, ForwardInitializer, POAInitializer, IIOPProtocolInitializer, MessagingInitializer

public interface FeatureInitializer

Feature initializers are an extention of an ORBInitializer allowing access to unique OpenORB features during initialization.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:04 $
Author:
  Chris Wood

Method Summary
`void` `init(ORBInitInfo orbinfo, FeatureInitInfo featureinfo)` This is called immediatly after any pre_init interception points in ORBInitializers.

Method Detail

### init

    public void init(ORBInitInfo orbinfo,
                     FeatureInitInfo featureinfo)

  This is called immediatly after any pre_init interception points in ORBInitializers. The orb reference available from the FeatureInitInfo should be treated with care, it can not be used for any request functions or for creating object references.